Get Data Graph Data by Record ID

Retrieves a specific record from a data graph by its unique identifier. This endpoint allows you to access complete record data including all related fields from connected entities.

Syntax

  • HTTP Method: GET
  • Availability: Data 360 v1.0, Salesforce v51.0
  • Format: REST
  • URI: /api/v1/dataGraph/{dataGraphEntityName}/{id}?live=true/false

Path Parameters

Parameter Type Description
dataGraphEntityName string Required. The unique identifier of the data graph. Example: individual_eng_dg
id string Required. The unique identifier of the record to retrieve. The ID must be a primary key of the primary DMO. Example: 100005

Query Parameters

Parameter Type Description
live boolean Retrieves the latest data graph data if set to true. Retrieves the precalculated data graph data by default. The live parameter doesn't support real-time data graphs.

Header Parameters

Parameter Type Description
dataspace string The dataspace that the query executes in.

Response Structure

The response includes:

  • data: Array of objects containing the requested data
  • done: boolean indicating if all results have been returned

Examples

Request

GET https://{TSE}.360a.salesforce.com/api/v1/dataGraph/individual_eng_dg/100005

Response

{
  "data": [
    {
      "json_blob__c": "{\"ssot__Id__c\":\"100005\",\"UnifiedLinkssotIndividualIr1__dlm\":[{\"SourceRecordId__c\":\"10000001\",\"UnifiedRecordId__c\":\"100005\",\"ssot__Individual__dlm\":[{\"ssot__FirstName__c\":\"Jean\",\"ssot__Id__c\":\"10000001\",\"ssot__LastName__c\":\"Johnson\",\"ssot__SalesOrder__dlm\":[{\"ssot__PurchaseOrderDate__c\":\"2023-07-26T07:37:57.927Z\",\"ssot__Id__c\":\"100002\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":557.000000000000000000},{\"ssot__PurchaseOrderDate__c\":\"2023-07-26T19:52:26.525Z\",\"ssot__Id__c\":\"100001\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":192.000000000000000000},{\"ssot__PurchaseOrderDate__c\":\"2023-07-06T20:30:18.255Z\",\"ssot__Id__c\":\"100005\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":590.000000000000000000}]}]}]}"
    }
  ],
  "done": true
}